Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ha.hasessionstate.server
Class HASessionStateService

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.ha.hasessionstate.server.HASessionStateService

All Implemented Interfaces:
  HASessionStateServiceMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class HASessionStateService
extends org.jboss.system.ServiceMBeanSupport
implements HASessionStateServiceMBean

Service class for HASessionState

Version:
  $Revision: 1.8 $

  Revisions:

Author:
  sacha.labourey@cogito-info.ch
See Also:
  `HASessionState`

Field Summary
`protected long` | `beanCleaningDelay`
`protected String` | `haPartitionName`
`protected String` | `jndiName`
`protected HASessionStateImpl` | `sessionState`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.ha.hasessionstate.server.HASessionStateServiceMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`HASessionStateService()`

Method Summary
`protected void` | `createService()`
`long` | `getBeanCleaningDelay()`
`String` | `getJndiName()`
`String` | `getName()`
`protected javax.management.ObjectName` | `getObjectName(javax.management.MBeanServer server, javax.management.ObjectName name)`
`String` | `getPartitionName()`
`void` | `setBeanCleaningDelay(long newDelay)`
`void` | `setJndiName(String newName)`
`void` | `setPartitionName(String name)`
`protected void` | `startService()`
`protected void` | `stopService()`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, destroy, destroyService, getLog, getNextNotificationSequenceNumber, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### jndiName

    protected String jndiName

### haPartitionName

    protected String haPartitionName

### beanCleaningDelay

    protected long beanCleaningDelay

### sessionState

    protected HASessionStateImpl sessionState

Constructor Detail

### HASessionStateService

    public HASessionStateService()

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.jboss.system.ServiceMBean`

### getJndiName

    public String getJndiName()

  Specified by:
    `getJndiName` in interface `HASessionStateServiceMBean`

### setJndiName

    public void setJndiName(String newName)

  Specified by:
    `setJndiName` in interface `HASessionStateServiceMBean`

### getPartitionName

    public String getPartitionName()

  Specified by:
    `getPartitionName` in interface `HASessionStateServiceMBean`

### setPartitionName

    public void setPartitionName(String name)

  Specified by:
    `setPartitionName` in interface `HASessionStateServiceMBean`

### getBeanCleaningDelay

    public long getBeanCleaningDelay()

  Specified by:
    `getBeanCleaningDelay` in interface `HASessionStateServiceMBean`

### setBeanCleaningDelay

    public void setBeanCleaningDelay(long newDelay)

  Specified by:
    `setBeanCleaningDelay` in interface `HASessionStateServiceMBean`

### getObjectName

    protected javax.management.ObjectName getObjectName(javax.management.MBeanServer server,
                                                        javax.management.ObjectName name)
                                                 throws javax.management.MalformedObjectNameException

  Throws:
    `javax.management.MalformedObjectNameException`

### createService

    protected void createService()
                          throws Exception

  Throws:
    `Exception`

### startService

    protected void startService()
                         throws Exception

  Throws:
    `Exception`

### stopService

    protected void stopService()
                        throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.